Bug 448855 - system hangs hard in xorg-x11 gnome after upgrade
system hangs hard in xorg-x11 gnome after upgrade
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Depends On:
  Show dependency treegraph
Reported: 2008-05-28 23:14 EDT by K Gastler
Modified: 2009-07-14 13:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X log file (33.86 KB, text/plain)
2008-07-19 09:52 EDT, K Gastler
no flags Details
the requested conf file (613 bytes, text/plain)
2008-07-19 09:56 EDT, K Gastler
no flags Details

  None (edit)
Description K Gastler 2008-05-28 23:14:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.04506)

Description of problem:
System upgraded from Fedora 7 to Fedora 8 would hang hard in gnome. If user did not log in and elected to shift to console by <CTRL-ALT-F1> would be able to use system without problem. Switching back to gnome and lgging in would eventually end with a hang. Time to hang was variable. Could not relate to any specific action or loading. Sometimes mouse cursor would move but no other response could be summoned from systems. Sometimes even reset would not work.  Held off upgrading second machine until Fedora 9. Completed that upgrade and problem repeated itself on that machine yesterday. Both machines are 1 ghz AMD cpus (read old).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Come get my machine
2.Log in to gnome
3.Wait - it'll happen eventually.

Actual Results:
machine hangs - sometimes completely - sometimes you can get the mouse cursor to move.

Expected Results:
I should be enjoying Linux? ;-)

Additional info:
Comment 1 Matěj Cepl 2008-05-29 03:30:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-06-27 08:54:56 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 K Gastler 2008-07-19 09:52:43 EDT
Created attachment 312202 [details]
X log file

one of the requested files
Comment 4 K Gastler 2008-07-19 09:56:38 EDT
Created attachment 312203 [details]
the requested conf file

I rm'ed the conf file and tried again. After a while using X the system hung
again. This is one of two old machines I have Linux on. The problem started
with version 8 on the other machine and I just avoided using X. So I have two
machines one with 8 and the one I originally complained about on 9 with the
same or at least similar issues.
Comment 5 Bug Zapper 2009-06-09 21:16:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 13:31:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.